Assignments Assignments

Public Member Functions | Private Attributes | List of all members
Ray::KeyFrameParameters< DataType, ParameterType > Class Template Reference

`#include <keyFrames.h>`

Inheritance diagram for Ray::KeyFrameParameters< DataType, ParameterType >:

## Public Member Functions
| KeyFrameParameters (const KeyFrameData< DataType > &data)
DataType | evaluate (unsigned int dof, double t, int curveType)
Public Member Functions inherited from Ray::KeyFrameEvaluator< DataType >
virtual | ~KeyFrameEvaluator (void)

## Private Attributes
std::vector< std::vector< ParameterType > > | _parameters

## Detailed Description

template<typename DataType, typename ParameterType>
class Ray::KeyFrameParameters< DataType, ParameterType >

This class represents a set of key-frame parameters Assumes that ParameterType defines constructors of the form: ParameterType( DataType ) and ParameterType( DataType , ParameterType ) as well as an operator of the form: DataType operator() ( void ) const;

## Constructor & Destructor Documentation

## ◆ KeyFrameParameters()

template<typename DataType , typename ParameterType >

Ray::KeyFrameParameters< DataType, ParameterType >::KeyFrameParameters | ( | const KeyFrameData< DataType > & | data | ) |

This constructor creates a set of parameters from the input data

## Member Function Documentation

## ◆ evaluate()

template<typename DataType , typename ParameterType >

DataType Ray::KeyFrameParameters< DataType, ParameterType >::evaluate | ( | unsigned int | dof,
|  | double | t,
|  | int | curveType )
| virtual

This method interpolates the parameters associated to the prescribed degree of freedom and returns the associated data

Implements Ray::KeyFrameEvaluator< DataType >.

## Member Data Documentation

## ◆ _parameters

template<typename DataType , typename ParameterType >

std::vector< std::vector< ParameterType > > Ray::KeyFrameParameters< DataType, ParameterType >::_parameters
| private

The parameters for the key-frame values of the different degrees of freedom

The documentation for this class was generated from the following files:

- Assignments/Ray/keyFrames.h
- Assignments/Ray/keyFrames.inl